Create label

Market availability: Global

The Create label API lets you buy labels from Walmart to ship orders.

Endpoint

POST /v3/shipping/labels

Function

Use this API to:

Create domestic shipment labels with add-ons such as insurance and signature.

Create international order shipment labels.

Get tracking numbers, carrier services, or tracking URLs in the response.

Create a label with your carrier account using accountType: "OWN".

Request Samplea

Request Sample 1

curl --request POST \ --url https://marketplace.walmartapis.com/v3/shipping/labels \ --header 'accept: application/json' \ --header 'content-type: application/json' \ --data '
{ "packageType": "CUSTOM_PACKAGE", "boxDimensions": { "boxDimensionUnit": "IN", "boxWeightUnit": "LB", "boxWeight": 13, "boxLength": 13, "boxWidth": 9, "boxHeight": 0 }, "boxItems": [ { "lineNumber": "1", "sku": "PRECISE3PGLASS9", "quantity": 1 } ], "fromAddress": { "contactName": "Test Seller", "companyName": "Test Company", "addressLine1": "Add1", "addressLine2": "Add2", "city": "Anchorage", "state": "AK", "postalCode": "99501", "country": "US", "phone": "12253", "email": "[email protected]" }, "purchaseOrderId": "97108719025934786", "carrierName": "FedEx", "carrierServiceType": "FEDEX_2_DAY", "hazmat": true
}
'

Request Sample 2

curl --request POST \ --url https://marketplace.walmartapis.com/v3/shipping/labels \ --header 'accept: application/json' \ --header 'content-type: application/json' \ --data '
{ "packageType": "CUSTOM_PACKAGE", "boxDimensions": { "boxDimensionUnit": "IN", "boxWeightUnit": "LB", "boxWeight": 13, "boxLength": 13, "boxWidth": 9, "boxHeight": 0 }, "boxItems": [ { "lineNumber": "1", "sku": "PRECISE3PGLASS9", "quantity": 1 } ], "fromAddress": { "contactName": "Test Seller", "companyName": "Test Company", "addressLine1": "Add1", "addressLine2": "Add2", "city": "Anchorage", "state": "AK", "postalCode": "99501", "country": "US", "phone": "12253", "email": "[email protected]" }, "addOns": [ "INSURANCE", "SIGNATURE" ], "purchaseOrderId": "97108719025934786", "carrierName": "FedEx", "carrierServiceType": "FEDEX_2_DAY"
}
'

Request Sample 3

curl --request POST \ --url https://marketplace.walmartapis.com/v3/shipping/labels \ --header 'accept: application/json' \ --header 'content-type: application/json' \ --data '
{ "packageType": "CUSTOM_PACKAGE", "boxDimensions": { "boxDimensionUnit": "IN", "boxWeightUnit": "LB", "boxWeight": 13, "boxLength": 13, "boxWidth": 9, "boxHeight": 0 }, "boxItems": [ { "lineNumber": "1", "sku": "PRECISE3PGLASS9", "quantity": 1, "productName": "racket", "productNameInLocale": "读写汉字" } ], "fromAddress": { "contactName": "Test Seller", "companyName": "Test Company", "addressLine1": "Add1", "addressLine2": "Add2", "city": "guangZhouShi", "state": "GD", "postalCode": "510599", "country": "CN", "phone": "12253", "email": "[email protected]" }, "returnAddress": { "contactName": "深圳市市盛天育科区游乡寺 - 10001223622 - MP", "addressLine1": "福田区石峡新田世纪商务中心B座36楼11室", "city": "深圳", "state": "系列", "postalCode": "581000", "country": "CN", "phone": "9087654589", "email": "[email protected]", "shipNode": "765476571" }, "purchaseOrderId": "97108719025934786", "carrierName": "Yanwen", "carrierServiceType": "YANWEN_EXPRESS", "hasBattery": true
}
'

Request Sample 4

curl --request POST \ --url https://marketplace.walmartapis.com/v3/shipping/labels \ --header 'accept: application/json' \ --header 'content-type: application/json' \ --data '
{ "packageType": "CUSTOM_PACKAGE", "boxDimensions": { "boxDimensionUnit": "IN", "boxWeightUnit": "LB", "boxWeight": 2, "boxLength": 2, "boxWidth": 2, "boxHeight": 2 }, "boxItems": [ { "sku": "SKUWfs6055469496189", "quantity": 1, "lineNumber": "1" } ], "fromAddress": { "contactName": "Shoes.com - 10900015173 - MP", "addressLine1": "2050 Royal Dr, Apt-7", "addressLine2": "Apt-7", "city": "SANTA CLARA", "state": "CA", "postalCode": "95050", "country": "US", "phone": "8024455150" }, "purchaseOrderId": "108919840486078", "carrierName": "FedEx", "carrierServiceType": "FEDEX_EXPRESS_SAVER", "accountType": "OWN"
}
'

Request Sample 5

curl --request POST \ --url https://marketplace.walmartapis.com/v3/shipping/labels \ --header 'accept: application/json' \ --header 'content-type: application/json' \ --data '
{ "packageType": "CUSTOM_PACKAGE", "boxDimensions": { "boxDimensionUnit": "IN", "boxWeightUnit": "KG", "boxWeight": 13, "boxLength": 13, "boxWidth": 9, "boxHeight": 0 }, "boxItems": [ { "lineNumber": "1", "sku": "SKUWfs6055469496189", "quantity": 1, "productName": "Boys tshirt", "hsCode": "12332412", "originState": "Delhi", "originCity": "Delhi", "countryOfOrigin": "IN" } ], "fromAddress": { "contactName": "Test Seller", "companyName": "Test Company", "addressLine1": "Add1", "addressLine2": "Add2", "city": "Bangalore", "state": "Karanataka", "postalCode": "560100", "country": "IN", "phone": "2074193432", "email": "[email protected]" }, "purchaseOrderId": "108913539040341", "carrierName": "FedEx", "carrierServiceType": "FEDEX_INTERNATIONAL_PRIORITY", "hazmat": false
}
'

Modify Your Code

Before submitting a request, you can replace sample values in the real shipment data with:

  • purchaseOrderId: The purchase order ID of the shipment.
  • sku: Stands for stock keeping unit. This is a seller-defined product identifier of items in your catalog or order and fulfillment flows.
  • lineNumber: The line-item number in your order for the package.
  • quantity: The number of items.
  • fromAddress: The address the order will be shipped from.
  • carrierName: Name of your carrier.
  • carrierServiceType: The shipment type (for example, freight or two-day shipping)..
  • accountType: The carrier account that will be used to purchase/create the shipping label.
  • addOns: Additional services you can add such as INSURANCE or SIGNATURE.
  • International item fields like
    • productName,: The name of the product
    • productNameInLocale: The product name in the local language/script for the shipment
    • hsCode: Harmonized System (HS) tariff classification code
    • originState: The origination state
    • originCity: The origination city
    • countryOfOrigin: The origination country

Set the accept header to match the response format you want:

  • application/json for JSON only
  • application/json,application/pdf for PDF output
  • application/json,image/png for PNG output

Response Sample

Response 200 Sample 1

{ "data": { "purchaseOrderId": "97108719025934786", "trackingNo": "10015361751436", "boxItems": [ { "sku": "PRECISE3PGLASS9", "quantity": 1, "lineNumber": "1" } ], "carrierName": "FedEx", "carrierFullName": "FedEx", "carrierServiceType": "FedEx 2Day", "trackingUrl": "https://www.fedex.com/apps/fedextrack/?action=track&tracknumbers=10015361751436&locale=en_US&cntry_code=us" }
}

Response 200 Sample 2

{ "data": { "purchaseOrderId": "97108719025934786", "trackingNo": "10015361751436", "boxItems": [ { "sku": "PRECISE3PGLASS9", "quantity": 1, "lineNumber": "1" } ], "carrierName": "FedEx", "carrierFullName": "FedEx", "carrierServiceType": "FedEx 2Day", "trackingUrl": "https://www.fedex.com/apps/fedextrack/?action=track&tracknumbers=10015361751436&locale=en_US&cntry_code=us", "addOns": [ { "name": "INSURANCE", "charge": { "amount": 0.32, "currency": "USD" }, "declaredValue": { "amount": 40, "currency": "USD" }, "refLink": "https://docs.google.com/forms/d/e/1FAIpQLSfptruFTsLSkL2T3xi50m3BZn6xFHApbliZqucpIxSYqVXEvA/viewform?pli=1", "status": "Active" }, { "name": "SIGNATURE", "charge": { "amount": 6.35, "currency": "USD" }, "status": "Active" } ] }
}

Response 200 Sample 5

{ "data": { "purchaseOrderId": "108919840486078", "trackingNo": "100625040279", "boxItems": [ { "sku": "SKUWfs6055469496189", "quantity": 1, "lineNumber": "1" } ], "carrierName": "FedEx", "carrierFullName": "FedEx", "carrierServiceType": "FedEx Express Saver", "trackingUrl": "https://www.fedex.com/apps/fedextrack/?action=track&tracknumbers=100625040279&locale=en_US&cntry_code=us" }
}

Response 200 Sample Code 200 Application/PDF

{ "data": { "purchaseOrderId": "string", "trackingNo": "string", "boxItems": [ { "sku": "string", "quantity": 0, "lineNumber": "string", "productName": "string", "productNameInLocale": "string", "hsCode": "string", "originState": "string", "originCity": "string", "countryOfOrigin": "string" } ], "carrierName": "string", "carrierFullName": "string", "carrierServiceType": "string", "trackingUrl": "string", "addOns": [ { "name": "SIGNATURE", "charge": { "amount": 0, "currency": "AED" }, "declaredValue": { "amount": 0, "currency": "AED" }, "refLink": "string", "status": "string" } ] }, "errors": [ { "info": "string", "code": "string", "field": "string", "description": "string", "severity": "EMERG", "category": "APPLICATION", "httpStatus": 0 } ]
}

Response Sample Code 200 Image/PNG

{ "data": { "purchaseOrderId": "string", "trackingNo": "string", "boxItems": [ { "sku": "string", "quantity": 0, "lineNumber": "string", "productName": "string", "productNameInLocale": "string", "hsCode": "string", "originState": "string", "originCity": "string", "countryOfOrigin": "string" } ], "carrierName": "string", "carrierFullName": "string", "carrierServiceType": "string", "trackingUrl": "string", "addOns": [ { "name": "SIGNATURE", "charge": { "amount": 0, "currency": "AED" }, "declaredValue": { "amount": 0, "currency": "AED" }, "refLink": "string", "status": "string" } ] }, "errors": [ { "info": "string", "code": "string", "field": "string", "description": "string", "severity": "EMERG", "category": "APPLICATION", "httpStatus": 0 } ]
}

Result

A Create label response returns shipment details in the data object. The API response includes the tracking number and you can return JSON, PDF, or image output based on the Accept header.

Based on the response samples:

  • Sample 1 returns the purchase order ID, tracking number, shipped items, carrier name, carrier service, and tracking URL for a FedEx 2Day shipment.
  • Sample 2 returns the same shipment details and also includes the selected add-ons with charge, declared value, reference link, and status.
  • Sample 5 returns the shipment details for a FedEx Express Saver label, including the tracking number and tracking URL.
  • The PDF sample shows the response shape for flows that request PDF output.
  • The PNG sample shows the response shape for flows that request PNG output.

Next Steps

The Create label API lets you buy labels from Walmart to ship orders.

The Shipping estimates API provides the cheapest rate to ship an order.

The Default max ship-on-date API provides recommendations for the default and maximum ship-on-date for orders.

The Labels detail by purchase order ID API retrieves shipping label information for orders, label generation, formatting, and tracking information for shipping as well as order management.

The Supported carriers API gives you a list of approved Walmart carriers to ship orders.

The Download label API brings up the carrier label when searching by carrier and tracking number.

The Discard label API removes shipping labels.

The Supported carrier package types API provides the package types a carrier offers.

Refer to the Walmart Claims Guide on how to get protection for your shipments.


Did this page help you?